## org.apache.lucene.benchmark.byTask.tasks
Class NewRoundTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.NewRoundTask

All Implemented Interfaces:
  Cloneable

    public class NewRoundTask

extends PerfTask

Increment the counter for properties maintained by Round Number.
Other side effects: if there are props by round number, log value change.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params, stopNow`

Constructor Summary
`NewRoundTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected boolean` `shouldNotRecordStats()` Tasks that should not record statistics can override this.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, close, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, shouldNeverLogAtStart, stopNow, supportsParams, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewRoundTask

    public NewRoundTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `Exception`

### shouldNotRecordStats

    protected boolean shouldNotRecordStats()

  Description copied from class: `PerfTask`
  Tasks that should not record statistics can override this.

  Overrides:
    `shouldNotRecordStats` in class `PerfTask`
  Returns:
    true if this task should never record its statistics.